<div class="row">
  <div class="col text-center">
    <h2>Direttiva che evidenzia il testo quando viene cliccato</h2>
  </div>
</div>
<div class="row mt-4">
  <div class="col">
    <div>
      <span appHighlightOnClick>Cliccami! Cambio il mio colore di sfondo ad ogni click</span>
    </div>
  </div>
</div>
<hr>
<div class="row">
  <div class="col">
    <h4>Colore definito tramite data binding</h4>
    <div>
      <span appHighlightOnClick="red">Cliccami! Cambio il mio colore di sfondo ad ogni click</span>
    </div>
  </div>
</div>
<hr>
<div class="row">
  <div class="col">
    <h4>Colore definito tramite property binding</h4>
    <div>
      <input type="radio" name="colors" id="colorLightgreen" (click)="onBackgroundColorClick('lightgreen')">
      <label class="pl-1 mr-2" for="colorLightgreen">Verde</label>

      <input type="radio" name="colors" id="colorOrange" (click)="onBackgroundColorClick('orange')">
      <label class="pl-1 mr-2" for="colorOrange">Arancione</label>

      <input type="radio" name="colors" id="colorCyan" (click)="onBackgroundColorClick('cyan')">
      <label class="pl-1 mr-2" for="colorCyan">Ciano</label>
    </div>
    <div>
      <span [appHighlightOnClick]="backgroundColor">Cliccami! Cambio il mio colore di sfondo ad ogni click</span>
    </div>
  </div>
</div>
<div class="row mt-5">
  <div class="col text-center">
    <h2>Direttive che modificano l'HTML</h2>
  </div>
</div>
<div class="row mt-4">
  <div class="col">
    <h4>*ngIf</h4>
    <div>
      Numero di volte che è stato cambiato il colore di background:
      <span *ngIf="backgroundColorChangedTimes">{{ backgroundColorChangedTimes }}</span>
      <span *ngIf="!backgroundColorChangedTimes">nessuna</span>
    </div>
  </div>
</div>
<hr>
<div class="row">
  <div class="col">
    <h4>*ngFor</h4>
    <div class="row">
      <div class="col-2" *ngFor="let name of names; let i=index">
        {{ i }} - {{ name }}
      </div>
    </div>
  </div>
</div>
<hr>
<div class="row">
  <div class="col">
    <h4>*appUnless</h4>
    <div *appUnless="backgroundColorChangedTimes > 0">
      Il colore di background non è ancora stato cambiato
    </div>
    <div *appUnless="backgroundColorChangedTimes === 0">
      Il colore di background è stato cambiato
    </div>
  </div>
</div>

